make_absolute_filename(3)

NAME
make_absolute_filename - Makes an absolute filename from a path and relative filename. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

char *make_absolute_filename(char *dest, const char *path, const char *filename, int size);

DESCRIPTION
Makes an absolute filename from an absolute path and a relative filename, storing at most `size' bytes into the `dest' buffer. This is like calling replace_filename() and then canonicalize_filename(). Example:
   char buf[256];
   ...
   make_absolute_filename(buf, "/usr/games/",
                          "../temp.txt", sizeof(buf));
   /* This would create /usr/temp.txt */

RETURN VALUE
Returns a copy of the `dest' parameter.

SEE ALSO
make_relative_filename(3), is_relative_filename(3), replace_filename(3), canonicalize_filename(3)